Subject: bug#13110: 24.1; Problem chaining archive-mode and tar-mode.

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Dec 2012 22:14:10 -0500

> I was editing a debian binary package (.deb). Finding the file opens it
> in archive-mode, then finding the file 'data.tar.gz' opens it in
> tar-mode. I proceeded to edit the file, which produced a warning message
> reminding me to go and save the buffer for 'data.tar.gz'. However, when
> I attempted to save the buffer for 'data.tar.gz', I got an error message
> saying, "Symbol's value as variable is void: archive-ar-write-file-member".

> I think this is because of a conflict between the hooks added to
> 'write-file-functions' by archive-mode and tar-mode. I notice this is
> handled in archive-mode by this line in arc-mode.el:

There might be such a conflict, indeed (I don't know how well tarballs
inside archives are handled), but arc-mode.el does not support writing
to ar archives anyway.

        Stefan